using Lada.Framework.Data.Domains.Identity;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Lada.Framework.Data.Mappings.EntityMappings.Identity
{

    public class RefreshTokenMap : IEntityMappingConfiguration<RefreshToken>
    {
        public void Map(EntityTypeBuilder<RefreshToken> builder)
        {
            builder.HasKey(a => a.Id);
            builder.Property(a => a.Id).HasDefaultValueSql("NEWID()");
            
            builder.ToTable("RefreshToken");
        }
    }
}
